### Type parameters

### Hierarchy

- RegularShape

## Index

### Properties

- angle
- displacement
- fill
- points
- radius
- radius1
- radius2
- rotateWithView
- rotation
- stroke

## Properties

### angle

angle: number

- Defined in src/options.js:61

Shape's angle in radians. A value of 0 will have one of the shape's point facing up.

### displacement

displacement: number[]

- Defined in src/options.js:62

Displacement of the shape

### fill

fill: Fill

- Defined in src/options.js:55

Fill style.

### points

points: number

- Defined in src/options.js:56

Number of points for stars and regular polygons. In case of a polygon, the number of points is the number of sides.

### radius

radius: number

- Defined in src/options.js:58

Radius of a regular polygon.

### radius1

radius1: number

- Defined in src/options.js:59

Outer radius of a star.

### radius2

radius2: number

- Defined in src/options.js:60

Inner radius of a star.

### rotateWithView

rotateWithView: boolean

- Defined in src/options.js:65

Whether to rotate the shape with the view.

### rotation

rotation: number

- Defined in src/options.js:64

Rotation in radians (positive rotation clockwise).

### stroke

stroke: Stroke

- Defined in src/options.js:63

Stroke style.

Generated using TypeDoc